When extracting .zip files, they get corrupted

2019-01-07 15:39 - Danilo Henrique  Ferreira

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Danilo Henrique  Ferreira % Done: 0%

Category: Files Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 2.5.1

Description

I'm having trouble extracting .zip files with multiple users, zipped the files and tested them, no error.

When inserting in redmine and then extracting it shows extraction error, header problem and or CRC. Being that the same zipped

files without inserting in redmine does not generate this error.

It is impacting internal activities and I do not find a solution.

They could help me with this problem.

Informações

Redmine 2.5.1.stable

Conta padrão do administrador alterada    True

Repositório com permissão de escrita    True

Diretório de plugins gravável    Exclamation

RMagick disponível (opcional)    True

Conversor ImageMagick disponível (opcional)    True

Environment:

Redmine version                2.5.1.stable

Ruby version                   1.9.3-p547 (2014-05-14) [x86_64-linux]

Rails version                  3.2.17

Environment                    production

Database adapter               Mysql2

SCM:

Subversion                     1.8.8

Git                            1.9.0

Filesystem

Redmine plugins:

no plugin installed

History

#1 - 2019-01-08 03:30 - Marius BĂLTEANU

- Status changed from New to Needs feedback

- Assignee set to Danilo Henrique  Ferreira

Can you describe in more details your problem? Redmine doesn't generate any zip file and I'm not sure what means "inserting in redmine" for you.

Most probably, your problem is not related to the Redmine core application.

#2 - 2019-01-08 12:57 - Danilo Henrique  Ferreira

- File redmine01.JPG added

- File redmine02.JPG added

- File redmine03.jpg added

- File redmine04.jpg added

- File redmine05.jpg added

- File redmine06.jpg added
- File redmine07.jpg added

- File redmine08.jpg added

- File redmine09.jpg added

Hi, thanks for the feedback.

So we use redmine for company projects, we generate an Adobe Captivate package with certain files, these files are compressed by the 7-zip

extraction tool, after the files are compressed, there is a test option to check the compressed file.

We do this process, it does not present any errors, we take the file and insert it into Redmine.

When downloading the previously inserted Redmine file, we re-test it to see if it has any errors. To the surprise, the file has an error.

This is impacting our activities, as there are many tickets with these files.

We have already used other browsers, such as IE, Edge and Chorme and other extraction tools, and the problem persists.

Follow the evidence in numerical order of the process that we execute so that you have a better understanding of the anomaly.

I'm waiting, thanks for the support.

#4 - 2019-01-15 05:59 - Marius BĂLTEANU

"we take the file and insert it into Redmine." means that you take the generated archive and attach it in the Files module from Redmine? and after you

download the archive from Redmine, the archive doesn't pass anymore the test feature in 7-zip?

#5 - 2019-01-15 12:01 - Danilo Henrique  Ferreira

Exactly, I get the files and compact with 7-zip (or another compression tool), I test the file, that's all right.

Then attach the file in Redmine, then extract the file, it has an error.

As previously attached images.

#6 - 2019-01-16 20:57 - Danilo Henrique  Ferreira

Please help us with this problem that I have experienced. I have serious problems with my infrastructure.

#7 - 2019-01-16 23:21 - Marius BĂLTEANU

Danilo Henrique  Ferreira wrote:

Please help us with this problem that I have experienced. I have serious problems with my infrastructure.

 I'm trying to do my best :)

I've generated now a 7-zip archive with some random files, attached in Redmine (version 3.4) in the files modules, downloaded it and the test with

7-zip passed. Because I'm not sure how can be a problem generated by Redmine (at the same time, your Redmine version is very old and

unsupported), I recommend you to verify if this happens with every type of 7-zip archive or only with some of them and also, maybe you can attach

here an archive for which you receive the error to try attaching on a recent Redmine version.

If anyone have another idea, please reply.

#8 - 2019-01-17 20:00 - Danilo Henrique  Ferreira

Hello, the problem that the files that are generating this error are files exported from Adobe Captivate, this packages have several extensions and the

average size of the files are from 70mb to 140mb. I will generate a link through OneDrive so you can download the file.

I will send 2 links, first with correct file and another with file with error, so you can analyze.

This link is from the correct file, which I have not yet inserted into Redmine:

https://telefonicaeducaciondigital-my.sharepoint.com/:u:/g/personal/danilo_ferreira_telefonicaed_com_br/EcggCz8RllVLmBq3xTvOlIEB6Tn1FuWLd_j

DfM3egqLS7Q?e=z8Jacd

This other link is from the file extracted from Redmine, which generates the error that I said:

https://telefonicaeducaciondigital-my.sharepoint.com/:u:/g/personal/danilo_ferreira_telefonicaed_com_br/EfegMvS21ElDqjNvX-eRz90BccrIbt8G9UVir

5aJpHVLLQ?e=913h3L

I hope that with these information you can help us, thanks for the support.
#9 - 2019-01-17 21:23 - Marius BĂLTEANU

- File archive.png added

- Status changed from Needs feedback to Closed

- Resolution set to Cant reproduce

Thanks for the archives.

Please see my below checks:

1. Test 74810_Scorm_Final.zip

MacBook-Pro:Downloads mariusbalteanu$ unzip -t 74810_Scorm_Final.zip

Archive:  74810_Scorm_Final.zip

    testing: 74810_Scorm_Final/       OK

    testing: 74810_Scorm_Final/adlcp_rootv1p2.xsd   OK

    testing: 74810_Scorm_Final/biblioteca/   OK

    testing: 74810_Scorm_Final/biblioteca/css/   OK

    testing: 74810_Scorm_Final/biblioteca/css/estilos.css   OK

    testing: 74810_Scorm_Final/biblioteca/js/   OK

    testing: 74810_Scorm_Final/biblioteca/js/expressInstall.swf   OK

    testing: 74810_Scorm_Final/biblioteca/js/SCORM_API_wrapper.js   OK

    testing: 74810_Scorm_Final/biblioteca/js/swfobject.js   OK

    testing: 74810_Scorm_Final/biblioteca/xml/   OK

    testing: 74810_Scorm_Final/biblioteca/xml/frases.xml   OK

    testing: 74810_Scorm_Final/imscp_rootv1p1p2.xsd   OK

    testing: 74810_Scorm_Final/imsmanifest.xml   OK

    testing: 74810_Scorm_Final/imsmd_rootv1p2p1.xsd   OK

    testing: 74810_Scorm_Final/ims_xml.xsd   OK

    testing: 74810_Scorm_Final/videoplayer/   OK

    testing: 74810_Scorm_Final/videoplayer/css/   OK

    testing: 74810_Scorm_Final/videoplayer/css/style.css   OK

    testing: 74810_Scorm_Final/videoplayer/index.html   OK

    testing: 74810_Scorm_Final/videoplayer/js/   OK

    testing: 74810_Scorm_Final/videoplayer/js/scorm.api.min.js   OK

    testing: 74810_Scorm_Final/videoplayer/js/script.js   OK

    testing: 74810_Scorm_Final/videoplayer/videos/   OK

    testing: 74810_Scorm_Final/videoplayer/videos/video.mp4   OK

No errors detected in compressed data of 74810_Scorm_Final.zip.

 2. Test 74810_Scorm_Final_error.zip

MacBook-Pro:Downloads mariusbalteanu$ unzip -t 74810_Scorm_Final_error.zip

Archive:  74810_Scorm_Final_error.zip

    testing: adlcp_rootv1p2.xsd       OK

    testing: biblioteca/              OK

    testing: biblioteca/css/          OK

    testing: biblioteca/css/estilos.css   OK

    testing: biblioteca/js/           OK

    testing: biblioteca/js/expressInstall.swf   OK

    testing: biblioteca/js/SCORM_API_wrapper.js   OK

    testing: biblioteca/js/swfobject.js   OK

    testing: biblioteca/xml/          OK

    testing: biblioteca/xml/frases.xml   OK

    testing: imscp_rootv1p1p2.xsd     OK

    testing: imsmanifest.xml          OK

    testing: imsmd_rootv1p2p1.xsd     OK

    testing: ims_xml.xsd              OK

    testing: videoplayer/             OK

    testing: videoplayer/css/         OK

    testing: videoplayer/css/style.css   OK

    testing: videoplayer/index.html   OK

    testing: videoplayer/js/          OK

    testing: videoplayer/js/scorm.api.min.js   OK

    testing: videoplayer/js/script.js   OK

    testing: videoplayer/videos/      OK

    testing: videoplayer/videos/video.mp4   bad CRC 1577f364  (should be 481d6271)

At least one error was detected in 74810_Scorm_Final_error.zip.

 3. Attached 74810_Scorm_Final.zip to a note (Redmine 4.0)
4. Downloaded the attached archive and ran unzip -t 74810_Scorm_Final_1.zip

MacBook-Pro:Downloads mariusbalteanu$ unzip -t 74810_Scorm_Final_1.zip 

Archive:  74810_Scorm_Final_1.zip

    testing: 74810_Scorm_Final/       OK

    testing: 74810_Scorm_Final/adlcp_rootv1p2.xsd   OK

    testing: 74810_Scorm_Final/biblioteca/   OK

    testing: 74810_Scorm_Final/biblioteca/css/   OK

    testing: 74810_Scorm_Final/biblioteca/css/estilos.css   OK

    testing: 74810_Scorm_Final/biblioteca/js/   OK

    testing: 74810_Scorm_Final/biblioteca/js/expressInstall.swf   OK

    testing: 74810_Scorm_Final/biblioteca/js/SCORM_API_wrapper.js   OK

    testing: 74810_Scorm_Final/biblioteca/js/swfobject.js   OK

    testing: 74810_Scorm_Final/biblioteca/xml/   OK

    testing: 74810_Scorm_Final/biblioteca/xml/frases.xml   OK

    testing: 74810_Scorm_Final/imscp_rootv1p1p2.xsd   OK

    testing: 74810_Scorm_Final/imsmanifest.xml   OK

    testing: 74810_Scorm_Final/imsmd_rootv1p2p1.xsd   OK

    testing: 74810_Scorm_Final/ims_xml.xsd   OK

    testing: 74810_Scorm_Final/videoplayer/   OK

    testing: 74810_Scorm_Final/videoplayer/css/   OK

    testing: 74810_Scorm_Final/videoplayer/css/style.css   OK

    testing: 74810_Scorm_Final/videoplayer/index.html   OK

    testing: 74810_Scorm_Final/videoplayer/js/   OK

    testing: 74810_Scorm_Final/videoplayer/js/scorm.api.min.js   OK

    testing: 74810_Scorm_Final/videoplayer/js/script.js   OK

    testing: 74810_Scorm_Final/videoplayer/videos/   OK

    testing: 74810_Scorm_Final/videoplayer/videos/video.mp4   OK

No errors detected in compressed data of 74810_Scorm_Final_1.zip.

 As you can see, it is a problem generated by your environment and not by Redmine. I don't know how can I help you further.
